.subjects {
  position: relative;

  box-shadow: 0 7px 20.16px 0.84px rgba(0, 0, 0, 0.06);

  &::before {
    position: absolute;
    z-index: -1;
    top: -18px;
    left: -18px;

    width: 60px;
    height: 60px;

    content: "";

    border: 2px solid #e8e8e8;
    border-radius: 14px;
  }

  .list-title {
    height: 52px;
    padding: 0 18px;

    background-color: #0db960;

    h2 {
      font-size: 16px;
      font-weight: 500;
      line-height: 52px;

      transform: scaleY(1.1);
      text-align: left;
      text-transform: uppercase;

      color: #ffffff;
    }
  }

  .list-visibility-switch {
    display: none;
  }

  ul {
    margin: 0;
    padding: 12px 18px;

    list-style-type: none;

    li {
      margin: 0;
      padding: 0;

      border: none;

      &:not(:last-child) {
        border-bottom: 1px solid #e8e8e8;
      }
    }

    a {
      font-size: 14px;
      line-height: 18px;

      display: block;

      padding: 9px 0 8px;

      transform: scaleY(1.1);
      text-decoration: none;

      color: #161616;
    }
  }
}

@media screen and (max-width: 991px) {
  .subjects {
    .list-title {
      position: relative;
      z-index: 1;

      display: flex;
      align-items: center;
      justify-content: center;

      cursor: pointer;
      text-align: center;

      h2 {
        display: inline-block;

        margin: 0;

        &::after {
          display: inline-block;

          content: "⌄";
          transform: scaleX(2) translateY(-3px);
          transform-origin: top left;
        }
      }
    }

    .list-group {
      display: none;
    }
  }

  .subjects-opened {
    .list-title {
      h2 {
        &::after {
          content: "⌃";
          transform: scaleX(2) translateY(4px);
          transform-origin: top left;
        }
      }
    }

    .list-group {
      display: block;
    }
  }
}

@media screen and (max-width: 767px) {
  .subjects {
    &::before {
      display: none;
    }
  }
}

